summaryrefslogtreecommitdiffstats
path: root/libraries/meanwhile
diff options
context:
space:
mode:
Diffstat (limited to 'libraries/meanwhile')
-rw-r--r--libraries/meanwhile/README12
-rw-r--r--libraries/meanwhile/meanwhile.SlackBuild55
-rw-r--r--libraries/meanwhile/meanwhile.info8
-rw-r--r--libraries/meanwhile/slack-desc19
4 files changed, 94 insertions, 0 deletions
diff --git a/libraries/meanwhile/README b/libraries/meanwhile/README
new file mode 100644
index 0000000000..37ffa87237
--- /dev/null
+++ b/libraries/meanwhile/README
@@ -0,0 +1,12 @@
+The Meanwhile Project is an open implementation of the Lotus Sametime
+Community Client protocol. The Meanwhile Project is neither endorsed by
+nor affiliated with Lotus or IBM. It is an independent project aiming to
+fill a space Lotus has left vacant.
+
+The heart of the Meanwhile Project is the Meanwhile library, providing the
+basic Lotus Sametime session functionality along with the core services;
+Presence Awareness, Instant Messaging, Multi-user Conferencing, Preferences
+Storage, Identity Resolution, and File Transfer. This extensible client
+interface allows additional services to be added to a session at runtime,
+allowing for simple integration of future service handlers such as the user
+directory and whiteboard and screen-sharing.
diff --git a/libraries/meanwhile/meanwhile.SlackBuild b/libraries/meanwhile/meanwhile.SlackBuild
new file mode 100644
index 0000000000..21d805ed17
--- /dev/null
+++ b/libraries/meanwhile/meanwhile.SlackBuild
@@ -0,0 +1,55 @@
+#!/bin/sh
+
+# Slackware build script for Meanwhile
+# Written by Erik Hanson erik@slackbuilds.org
+
+PRGNAM=meanwhile
+VERSION=1.0.2
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var/lib \
+ --disable-static \
+ --build=$ARCH-slackware-linux \
+ || exit 1
+
+make || exit 1
+make install-strip DESTDIR=$PKG || exit 1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION $PKG/install
+mv $PKG/usr/share/doc/meanwhile-doc-$VERSION/* $PKG/usr/doc/$PRGNAM-$VERSION/
+rm -rf $PKG/usr/share
+cp -a AUTHORS COPYING ChangeLog INSTALL LICENSE NEWS README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/meanwhile/meanwhile.info b/libraries/meanwhile/meanwhile.info
new file mode 100644
index 0000000000..5ece1b76f7
--- /dev/null
+++ b/libraries/meanwhile/meanwhile.info
@@ -0,0 +1,8 @@
+PRGNAM="meanwhile"
+VERSION="1.0.2"
+HOMEPAGE="http://meanwhile.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/meanwhile/meanwhile-1.0.2.tar.gz"
+MD5SUM="bf4ced109a367b4c5d71fe63c043270e"
+MAINTAINER="Erik Hanson"
+EMAIL="erik@slackbuilds.org"
+APPROVED="rworkman"
diff --git a/libraries/meanwhile/slack-desc b/libraries/meanwhile/slack-desc
new file mode 100644
index 0000000000..af0e50407c
--- /dev/null
+++ b/libraries/meanwhile/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler---------------------------------------------------|
+meanwhile: Meanwhile (an open implementation of the Sametime protocol)
+meanwhile:
+meanwhile: The heart of the Meanwhile Project is the Meanwhile library,
+meanwhile: providing the basic Lotus Sametime session functionality along
+meanwhile: with the core services; Presence Awareness, Instant Messaging,
+meanwhile: Multi-user Conferencing, Preferences Storage, Identity
+meanwhile: Resolution, and File Transfer.
+meanwhile:
+meanwhile: Homepage: http://meanwhile.sourceforge.net/
+meanwhile:
+meanwhile: